unit Matfu;
interface
  uses StdCtrls, SysUtils;
    Type
    fun = function(x : extended):extended;
    procedure Tabl(f:fun;xn,xk:extended; m: word; Mem1 : TMemo);
implementation
 procedure Tabl;
  var x,y,h: extended;
  i : integer;
begin
  x:=xn; h:=(xn-xk)/m;
    for i:=1 to m+1 do begin
  y:=f(x);
  Mem1.Lines.Add(' x='+FloatToStrf(x,fffixed,8,3)+ ' y='+FloatToStrf(y,fffixed,8,3));
  x:=x+h;
end;
end;
end.
